Bug 300396 - When choosing PowerOff, kickoff minimizes and then maximizes back.
Summary: When choosing PowerOff, kickoff minimizes and then maximizes back.
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.8.3
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-21 16:55 UTC by temporary987
Modified: 2013-07-13 12:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description temporary987 2012-05-21 16:55:05 UTC
When I choose "PowerOff" in Kickoff menu and a small window appears in the middle of the screen, suggesting me to choose, how to turn the computer off(ShutDown, Suspend to Disk/To Ram...), Kickoff menu disappears, then it is opened again for a moment, and finally it disappears again, it is really anoying.

Reproducible: Always

Steps to Reproduce:
1. Open Kickoff menu.
2. Choose the tab "Exit"("Выход" in russian).
3. Press "ShutDown"("Выключить" in russian).
Actual Results:  
The Kickoff menu disappeared, then appeared again, and then disappeared finally.

Expected Results:  
It shoul disappear only once.

Version of KDE is 4.8.3-1
Comment 1 Marco Martin 2012-06-07 11:05:42 UTC
are desktop effects off?
i suspect the logout effect when desktop compositing is off uses outdated screenshots
Comment 2 temporary987 2012-06-07 13:48:14 UTC
Yes, effects are on.